Read a file
Read a file from the sandbox. Returns the raw file bytes in the response body.
Read a file from the sandbox. Returns the raw file bytes in the response body.
Authorization
BearerAuth API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Path to the file to read.
Byte offset to start reading from.
uint64Maximum number of bytes to read.
uint32Return only the first N lines of the file. Mutually exclusive with tail.
uint32Return only the last N lines of the file. Mutually exclusive with head.
uint32Response Body
application/octet-stream
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/read-file" \ -H "Content-Type: application/json" \ -d '{ "path": "string" }'"string"{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}{ "message": "string"}Write multiple files POST
Write multiple files in a single request. Send as multipart/form-data where each part's name is the file path and body is the raw file bytes.
Read multiple files POST
Read multiple files. Returns multipart/form-data where each part's name is the file path and body is the raw file bytes.

